<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:define name="head">
		<h:outputStylesheet library="stylesheet" name="hl7templates.css" />
	</ui:define>
	<ui:define name="body">
		
		<h1>#{messages['net.ihe.gazelle.cdagen.HL7TemplatesValidation']}</h1>
		<gri:panel pid="globalDiv">
			<h:form id="globalForm" >
				#{HL7TemplateValManager.setUploadedFile(null)}
				#{HL7TemplateValManager.initializeDownloadFile()}

				<s:decorate template="/layout/edit.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.ReportAllChecks']}</ui:define>
					<h:selectBooleanCheckbox value="#{HL7TemplateValManager.reportAllChecks}"/>
				</s:decorate>

				<s:decorate id="uploadFileDecoration">
					<h:outputText value="#{messages['net.ihe.gazelle.cdagen.FileTypeXML']}" />
					<br />
					<gdk:spacer width="3" />
					<s:div>
						<h:selectOneRadio id="downloadorwrite"
							value="#{HL7TemplateValManager.downloadFile}"
							style="font-size : 11px;">
							<f:selectItem id="upload" itemLabel="#{messages['net.ihe.gazelle.cdagen.Upload']}" itemValue="upload" />
							<f:selectItem id="write" itemLabel="#{messages['net.ihe.gazelle.cdagen.URL']}" itemValue="write" />
							<a4j:ajax event="change" render="dependOnRadio" />
						</h:selectOneRadio>
					</s:div>
					<s:div id="dependOnRadio">
						<s:div id="downloaddivv"
							rendered="#{HL7TemplateValManager.canUploadFile()}">
							<s:div>
								<h:outputText value="#{messages['net.ihe.gazelle.cdagen.ExtensionXml']}" />
								<br />
								<gdk:spacer width="3" />
							</s:div>
							<rich:fileUpload
								fileUploadListener="#{HL7TemplateValManager.listener}"
								acceptedTypes="xml" id="uploadFile" immediateUpload="true"
								listHeight="60px">
							</rich:fileUpload>
						</s:div>
						<s:div id="writedivv"
							rendered="#{!HL7TemplateValManager.canUploadFile()}">
							<h:outputText
								value="#{messages['net.ihe.gazelle.cdagen.YouMustWriteTheNameOfTheNewFileAndItsContent']} " />
							<br />
							<s:decorate id="namedampe" template="/layout/edit.xhtml">
								<ui:define name="label">#{messages['net.ihe.gazelle.cdagen.FileName']}</ui:define>
								<h:inputText id="url" styleClass="ajaxSupport" tabindex="2"
									maxlength="500" size="50" required="false"
									value="#{HL7TemplateValManager.sampleContentURL}" />
							</s:decorate>
						</s:div>
					</s:div>
					<a4j:commandButton styleClass="gzl-btn-blue" id="validatebutt" value="#{messages['net.ihe.gazelle.cdagen.Validate']}"
						actionListener="#{HL7TemplateValManager.validateHL7Templates()}"
						render="resglob,poll" />
				</s:decorate>
			</h:form>
			<br/>
			<h:form>
				<a4j:poll id="poll"  enabled="#{!HL7TemplateValManager.canViewResult()}" render="poll,resglob" interval="3000" />
			</h:form>
			<h:form id="resglob">
				#{HL7TemplateValManager.updateEndedFlag()}
				<gri:panel pid="validationLogsOutP"
	   				rendered="#{HL7TemplateValManager.currentHL7TemplValidation!=null and !HL7TemplateValManager.canViewResult() and HL7TemplateValManager.currentHL7TemplValidation.id != null}">
					<f:facet name="header">
						<h:outputText value="#{messages['net.ihe.gazelle.ValidationLogs']}" />
					</f:facet>

					<s:decorate template="/layout/display/_display.xhtml">
						<ui:define name="label">#{messages['net.ihe.gazelle.Token']}</ui:define>
						<h:outputText
							value="#{HL7TemplateValManager.currentHL7TemplValidation.token}" />
					</s:decorate>

					<h:outputText value="#{messages['net.ihe.gazelle.ThereAreSevenLEVELSForTheValidation']}" />
					<br/>
					<gri:progressBar value="#{HL7TemplateValManager.currentProgressValue}" style="width:20%" />
<!-- 					<rich:progressBar mode="ajax" -->
<!-- 						value="#{HL7TemplateValManager.currentProgressValue}" interval="500" id="pb" -->
<!-- 						enabled="#{true}" minValue="0" maxValue="100"> -->
<!-- 						<h:outputText value="#{HL7TemplateValManager.currentProgressValue} %" /> -->
<!-- 					</rich:progressBar> -->
					<br/>
					<a4j:commandButton styleClass="gzl-btn-blue" actionListener="#{HL7TemplateValManager.showLogs()}"
						rendered="#{!HL7TemplateValManager.canShowLogs()}"
						value="#{messages['net.ihe.gazelle.ShowLogs']}"/>
					<a4j:commandButton styleClass="gzl-btn-blue" actionListener="#{HL7TemplateValManager.hideLogs()}"
						rendered="#{HL7TemplateValManager.canShowLogs()}"
						value="#{messages['net.ihe.gazelle.HideLogs']}"/>
					<br/>
					<br/>
					<s:div rendered="#{HL7TemplateValManager.canShowLogs()}">
					<pre>
					<h:outputText id="validationLogsOut" 
						 value="#{HL7TemplateValManager.logsOfValidation()}"/>
					<br/><i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i>
					</pre>
					</s:div>
				</gri:panel>
				
				<ui:include src="resultVal.xhtml" />
			</h:form>

		</gri:panel>
	</ui:define>
</ui:composition>
